import { q as n, Q as t, N as m, E as i } from "./index-DSGwv2Yx.js";
import { c as f } from "./complex-3DpPEG9B.js";
import { z as c } from "./zeros-Bw0puq_w.js";
function l(o, r = "float32") {
  if (n(o), r === "complex64") {
    const s = l(o, "float32"), a = c(o, "float32");
    return f(s, a);
  }
  const e = t(m(o), r);
  return i.makeTensor(e, o, r);
}
export {
  l as o
};
